VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 2
声望: 0

我是初学者,想学习下量化交易知识,电脑中已安装Anaconda3-2022.05,pycharm-professional-2022.1.3,故选择手工安装vnpy3.2.0,安装过程中出现以下错误:
1.ERROR: Exception:
Traceback (most recent call last):
File "D:\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py", line 438, in _error_catcher
yield
File "D:\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py", line 519, in read
data = self._fp.read(amt) if not fp_closed else b""
File "D:\anaconda3\lib\site-packages\pip_vendor\cachecontrol\filewrapper.py", line 62, in read
data = self.__fp.read(amt)
File "D:\anaconda3\lib\http\client.py", line 463, in read
n = self.readinto(b)
File "D:\anaconda3\lib\http\client.py", line 507, in readinto
n = self.fp.readinto(b)
File "D:\anaconda3\lib\socket.py", line 704, in readinto
return self._sock.recv_into(b)
File "D:\anaconda3\lib\ssl.py", line 1241, in recv_into
return self.read(nbytes, buffer)
File "D:\anaconda3\lib\ssl.py", line 1099, in read
return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\anaconda3\lib\site-packages\pip_internal\cli\base_command.py", line 173, in _main
status = self.run(options, args)
File "D:\anaconda3\lib\site-packages\pip_internal\cli\req_command.py", line 203, in wrapper
return func(self, options, args)
File "D:\anaconda3\lib\site-packages\pip_internal\commands\install.py", line 315, in run
requirement_set = resolver.resolve(
File "D:\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\resolver.py", line 94, in resolve
result = self._result = resolver.resolve(
File "D:\anaconda3\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 472, in resolve
state = resolution.resolve(requirements, max_rounds=max_rounds)
File "D:\anaconda3\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 341, in resolve
self._add_to_criteria(self.state.criteria, r, parent=None)
File "D:\anaconda3\lib\site-packages\pip_vendor\resolvelib\resolvers.py", line 172, in _add_to_criteria
if not criterion.candidates:
File "D:\anaconda3\lib\site-packages\pip_vendor\resolvelib\structs.py", line 151, in bool
return bool(self._sequence)
File "D:\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py", line 140, in bool
return any(self)
File "D:\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py", line 128, in <genexpr>
return (c for c in iterator if id(c) not in self._incompatible_ids)
File "D:\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\found_candidates.py", line 82, in _iter_built_with_inserted
candidate = func()
File "D:\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\factory.py", line 204, in _make_candidate_from_link
self._link_candidate_cache[link] = LinkCandidate(
File "D:\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 295, in init
super().init(
File "D:\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 156, in init
self.dist = self._prepare()
File "D:\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 227, in _prepare
dist = self._prepare_distribution()
File "D:\anaconda3\lib\site-packages\pip_internal\resolution\resolvelib\candidates.py", line 305, in _prepare_distribution
return self._factory.preparer.prepare_linked_requirement(
File "D:\anaconda3\lib\site-packages\pip_internal\operations\prepare.py", line 508, in prepare_linked_requirement
return self._prepare_linked_requirement(req, parallel_builds)
File "D:\anaconda3\lib\site-packages\pip_internal\operations\prepare.py", line 550, in _prepare_linked_requirement
local_file = unpack_url(
File "D:\anaconda3\lib\site-packages\pip_internal\operations\prepare.py", line 239, in unpack_url
file = get_http_url(
File "D:\anaconda3\lib\site-packages\pip_internal\operations\prepare.py", line 102, in get_http_url
from_path, content_type = download(link, temp_dir.path)
File "D:\anaconda3\lib\site-packages\pip_internal\network\download.py", line 145, in call
for chunk in chunks:
File "D:\anaconda3\lib\site-packages\pip_internal\cli\progress_bars.py", line 144, in iter
for x in it:
File "D:\anaconda3\lib\site-packages\pip_internal\network\utils.py", line 63, in response_chunks
for chunk in response.raw.stream(
File "D:\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py", line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File "D:\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py", line 541, in read
raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
File "D:\anaconda3\lib\contextlib.py", line 137, in exit
self.gen.throw(typ, value, traceback)
File "D:\anaconda3\lib\site-packages\pip_vendor\urllib3\response.py", line 443, in _error_catcher
raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

2.ERROR: pip's dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts.
spyder 5.1.5 requires pyqt5<5.13, which is not installed.
spyder 5.1.5 requires pyqtwebengine<5.13, which is not installed.
conda-repo-cli 1.0.4 requires pathlib, which is not installed.
anaconda-project 0.10.2 requires ruamel-yaml, which is not installed.

3.ERROR: pip's dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts.
spyder 5.1.5 requires pyqt5<5.13, which is not installed.
spyder 5.1.5 requires pyqtwebengine<5.13, which is not installed.
spyder 5.1.5 requires qdarkstyle==3.0.2, but you have qdarkstyle 3.0.3 which is incompatible.

请教各位应该如何解决,对于大家的指点不胜感激!

Member
avatar
加入于:
帖子: 536
声望: 28
  1. pypi服务器连接问题,换个国内的源
    2和3都是spyder依赖冲突,没什么好办法了
Member
avatar
加入于:
帖子: 2
声望: 0

谢谢。安装问题已解决。但运行run.py时出现错误如下:
D:\anaconda3\envs\vnpy-3.2.0\python.exe C:/Users/wcr/Desktop/vnpy-3.2.0/examples/veighna_trader/run.py
Traceback (most recent call last):
File "C:\Users\wcr\Desktop\vnpy-3.2.0\examples\veighna_trader\run.py", line 31, in <module>
from vnpy_optionmaster import OptionMasterApp
File "D:\anaconda3\envs\vnpy-3.2.0\lib\site-packages\vnpy_optionmaster__init__.py", line 26, in <module>
from .engine import OptionEngine, APP_NAME
File "D:\anaconda3\envs\vnpy-3.2.0\lib\site-packages\vnpy_optionmaster\engine.py", line 22, in <module>
from .base import (
File "D:\anaconda3\envs\vnpy-3.2.0\lib\site-packages\vnpy_optionmaster\base.py", line 13, in <module>
from .time import calculate_days_to_expiry, ANNUAL_DAYS
File "D:\anaconda3\envs\vnpy-3.2.0\lib\site-packages\vnpy_optionmaster\time.py", line 9, in <module>
holidays: list = [x.to_pydatetime() for x in cn_calendar.precomputed_holidays]
TypeError: 'method' object is not iterable
请问应该怎样解决?

Member
avatar
加入于:
帖子: 3469
声望: 228

这是因为exchange_calendars库升级导致的,可以手动将这行修改下:

x.to_pydatetime() for x in cn_calendar.precomputed_holidays()
© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】